<?php
namespace Bushelpowered\Api\Trade\Config\V1\Request;
        
class UpdateLocationConfigurationRequest 
{
    /** @var string $locationId */
    public string $locationId;
    /** @var \Bushelpowered\Api\Common\Config\Model\Configuration[] $configurations */
    public array $configurations;

    /**
     * @param  string  $locationId 
     * @param  \Bushelpowered\Api\Common\Config\Model\Configuration[]  $configurations 
     */
    public function __construct(string $locationId, array $configurations)
    {
        $this->locationId = $locationId;
        $this->configurations = $configurations;
    }
    

}